Bug 21056 - Перестал работать colorBDMode в 245
: Перестал работать colorBDMode в 245
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xterm)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://bugs.debian.org/cgi-bin/bugrep...
:
:
:
  Show dependency tree
 
Reported: 2009-08-13 15:27 by
Modified: 2009-08-18 00:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-13 15:27:13
Записываем в .Xdefaults:
XTerm*VT100.background: black
XTerm*VT100.foreground: yellowgreen
XTerm*VT100*colorMode: true
XTerm*VT100*colorBDMode: true
XTerm*VT100*colorBD: PaleGoldenrod
Запускаем xterm, а в нём man man.
Видим чёрный цвет вместо PaleGoldenrod. В 243 такого точно не было, в 244 --
скорее всего, тоже.
------- Comment #1 From 2009-08-13 20:55:47 -------
Спасибо за баг!

>в 244 -- скорее всего, тоже.

Как раз наоборот -- скорее всего это именно в 244 и сломалось, т.к. 245 это
bugfix release
------- Comment #2 From 2009-08-13 21:35:24 -------
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541089 Это не оно ли, случаем?
Если нет, то отпишу в апстрим.
------- Comment #3 From 2009-08-14 15:52:15 -------
(В ответ на комментарий №2)
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541089 Это не оно ли, случаем?
> Если нет, то отпишу в апстрим.

Похоже на него, т.к. c -bdc кажет нормально (белым, при том, что раньше вроде
был синий), а с +bdc - пусто

$ rpmquery xterm
xterm-244-alt1
------- Comment #4 From 2009-08-15 06:22:05 -------
Я списался с автором, он выпустил промежуточный тестовый релиз 245b (залил его
на http://git.altlinux.org/people/php_coder/packages/xterm.git, если есть
желание можете протестировать). Я только что его собрал и, насколько понимаю,
этот баг исправлен. Пока не отправляю его в Сизиф, т.к. в начале неделе Томас
обещает выпустить новый релиз с исправлениями этой и некоторых других ошибок.
------- Comment #5 From 2009-08-17 17:10:39 -------
Он неожиданно собрался с /usr/lib/libXaw8.so вместо libXaw7

Какое-то время назад shrek@ говорил, что libXaw8 признано ошибкой. Что-то
изменилось?
------- Comment #6 From 2009-08-17 19:54:48 -------
(В ответ на комментарий №5)
> Он неожиданно собрался с /usr/lib/libXaw8.so вместо libXaw7
> 
> Какое-то время назад shrek@ говорил, что libXaw8 признано ошибкой. Что-то
> изменилось?

Об этом лучше всего спросить у него.

Если посмотреть на rpm -q --lastchange пакетов libXaw и libXaw8, то последний
выглядит заброшенным и не поддерживаемым.
------- Comment #7 From 2009-08-17 20:02:40 -------
libXaw8 это затычка без devel. собраться с ним ничего не могло или речь не о
libXaw8-1.0.4-alt1
------- Comment #8 From 2009-08-18 00:54:43 -------
xterm-246-alt1 -> sisyphus:

* Mon Aug 17 2009 Slava Semushin <php-coder@altlinux> 246-alt1

- Updated to 246
  + Also fixed ColorBDMode which was broken since 244 (Closes: #21056)